BECKON CLIENT
=============

Javascript, HTML5 and CSS3 based digital signage using Sinatra and Deck.js!

Installation
------------

Installation of beckon is very easy:

    $ bundle
    $ shotgun
    
To load and activate a demo configuration:

    $ rake beckon:demo
    
Navigate to [http://127.0.0.1:9393](http://127.0.0.1:9393) to ensure beckon is running.
    
Rake Tasks
----------

Beckon uses command line rake tasks to manage campaign configurations.

To see a list of current configurations:

    $ rake beckon:configuration:list

To view a specific configuration:

    $ rake beckon:configuration:show[a3dfeb...]
    
To activate a specific configuration:

    $ rake beckon:configuration:activate[a3dfeb...]

To update a specific configuration from the remote API:

    $ rake beckon:configuration:update[a3dfeb...]
            
To create a new configuration:

    $ rake beckon:configuration:create[title,url,api_key,api_secret]
    
...with the following parameters:

    *title* is the title of the new configuration.
    *url* is the url of the remote API from which to fetch campaign data. 
    *api_key* is the HTTP Basic Auth username for the remote API.
    *api_secret* is the HTTP Basic Auth password for the remote API.

To destroy a specific configuration:

    $ rake beckon:configuration:destroy[a3dfeb...]
    
REST API
--------

Beckon configurations can also be managed using the built-in JSON REST API.

To list all configurations:

    $ curl -X GET http://127.0.0.1:9393/configurations
    
To view a specific configuration:

    $ curl -X GET http://127.0.0.1:9393/configurations/a3dfeb...
    
To update a specific configuration from the remote API:

    $ curl -X GET http://127.0.0.1:9393/configurations/update/a3dfeb...

To activate a specific configuration:

    $ curl -X GET http://127.0.0.1:9393/configurations/activate/a3dfeb...
    
To create a new configuration:

    $ curl -X POST -H "Content-Type: application/json" -d '{"configuration":{...}}' http://127.0.0.1:9393/configurations
    
To update a configuration:

    $ curl -X PUT -H "Content-Type: application/json" -d '{"configuration":{...}}' http://127.0.0.1:9393/configurations/a3dfeb...
    
To destroy a configuration:

    $ curl -X DELETE http://127.0.0.1:9393/configurations/a3dfeb...
        
Credits
-------

* A.C. Wright [A.C. Wright Design](http://www.acwrightdesign.com)

Copyright
---------

Copyright (c) 2011 Infinite Token LLC