class Demo
  
  def self.init
    configuration = Configuration.new(
      :title => 'Beckon Demo Configuration',
      :url => 'http://127.0.0.1',
      :api_key => '...',
      :api_secret => '...'
    )
    
    stylesheet_path = File.expand_path(File.join(File.dirname(__FILE__), '../demo/demo.sass'))
    slide_paths = Dir["#{File.expand_path(File.join(File.dirname(__FILE__), '../demo/slides'))}/**/*.haml"]
    
    campaign = Campaign.new(
      :configuration => configuration,
      :title => 'Beckon Demo Campaign',
      :description => 'Demonstration campaign...',
      :stylesheet => CGI.escape(Sass::Engine.new(IO.read(stylesheet_path), Compass.sass_engine_options).render),
      :sequence => nil,
      :randomize => false,
      :active => true
    )
    campaign.save
    
    presentation = Presentation.new(
      :id => UUID.generate(:compact),
      :campaign => campaign,
      :title => 'Beckon Demo Presentation',
      :description => 'Demonstration presentation...',
      :sequence => nil,
      :duration => 3000,
      :transition => 'fade',
      :randomize => false
    )
    presentation.save
    
    campaign.sequence = presentation.id
    campaign.save
    
    slides = []
    slide_paths.each do |path|
      slide = Slide.new(
        :id => UUID.generate(:compact),
        :presentation => presentation,
        :title => File.basename(path).split('.')[0].capitalize,
        :description => path,
        :markup => CGI.escape(Haml::Engine.new(IO.read(path)).render)
      )
      slide.save
      slides << slide.id
    end
    
    presentation.sequence = slides.join(',')
    presentation.save
    
    configuration.activate
  end
end