class Campaign
  include DataMapper::Resource
  
  property :id,           String,   :default => UUID.generate(:compact), :key => true
  property :title,        String
  property :description,  Text
  property :stylesheet,   Text
  property :sequence,     Text
  property :randomize,    Boolean,  :default => false
  property :active,       Boolean,  :default => true
  property :created_at,   DateTime, :default => Time.now
  property :updated_at,   DateTime, :default => Time.now
  
  has n,      :presentations, :constraint => :destroy
  belongs_to  :configuration
  
  def ordered_presentations
    if self.randomized?
      return self.presentations.all.sort_by{ rand }
    else
      unless self.sequence.nil?
        return self.presentations.all(:id => self.sequence.split(','))
      else
        return self.presentations.all
      end
    end
  end
  
  def randomized?
    return self.randomize
  end
  
  def active?
    return self.active
  end
end