class Presentation
  include DataMapper::Resource
  
  property :id,           String,   :default => UUID.generate(:compact), :key => true
  property :title,        String
  property :description,  Text
  property :sequence,     Text
  property :duration,     Integer,  :default => 3000
  property :transition,   String,   :default => 'fade'
  property :randomize,    Boolean,  :default => false
  property :created_at,   DateTime, :default => Time.now
  property :updated_at,   DateTime, :default => Time.now
  
  has n,      :slides, :constraint => :destroy
  belongs_to  :campaign
  
  def ordered_slides
    if self.randomized?
      return self.slides.all.sort_by{ rand }
    else
      unless self.sequence.nil?
        return self.slides.all(:id => self.sequence.split(','))
      else
        return self.slides.all
      end
    end
  end
  
  def randomized?
    return self.randomize
  end
  
  def active?
    return self.active
  end
end